Bug 1520572 - Review Request: perl-Authen-DecHpwd - DEC VMS password hashing
Summary: Review Request: perl-Authen-DecHpwd - DEC VMS password hashing
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Sandro Mani
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1520570 1520571
Blocks: 1520581
TreeView+ depends on / blocked
 
Reported: 2017-12-04 17:56 UTC by Robert-André Mauchin 🐧
Modified: 2018-02-27 20:39 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-02-27 20:39:33 UTC
Type: ---
Embargoed:
manisandro: fedora-review+


Attachments (Terms of Use)

Description Robert-André Mauchin 🐧 2017-12-04 17:56:45 UTC
Spec URL: https://raw.githubusercontent.com/eclipseo/packaging/749fc2d/perl-Authen-DecHpwd.spec
SRPM URL: https://copr-be.cloud.fedoraproject.org/results/eclipseo/ravada/fedora-rawhide-x86_64/00683998-perl-Authen-DecHpwd/perl-Authen-DecHpwd-2.007-1.fc28.src.rpm

Description: This module implements the SYS$HASH_PASSWORD password hashing function from
VMS (also known as LGI$HPWD), and some associated VMS username and password
handling functions.

Fedora Account System Username: eclipseo

Comment 4 Sandro Mani 2017-12-15 22:18:31 UTC
Looks good as far as I can see, but I need perl-Data-Integer to finish the review.

Comment 5 Robert-André Mauchin 🐧 2017-12-18 20:17:59 UTC
I've built perl-Data-Integer in Koji https://koji.fedoraproject.org/koji/buildinfo?buildID=1010205

You can wait for it in the next compose or build it directly from Koji.

Thanks!

Comment 6 Sandro Mani 2017-12-19 23:00:32 UTC
Only nitpick: explicit perl(Exporter) requires is not needed as it is also picked up by perl-generators.

Rest is good, approved!

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed

===== MUST items =====

C/C++:
[-]: Development (unversioned) .so files in -devel subpackage, if present.
     Note: Unversioned so-files in private %_libdir subdirectory (see
     attachment). Verify they are not in ld path.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[-]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: License field in the package spec file matches the actual license.
[-]: License file installed when any subpackage combination is installed.
[x]: Package does not own files or directories owned by other packages.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 2 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Perl:
[x]: CPAN urls should be non-versioned.

===== SHOULD items =====

Generic:
[?]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on debuginfo package(s).
     Note: No rpmlint messages.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: perl-Authen-DecHpwd-2.007-1.fc28.x86_64.rpm
          perl-Authen-DecHpwd-debuginfo-2.007-1.fc28.x86_64.rpm
          perl-Authen-DecHpwd-debugsource-2.007-1.fc28.x86_64.rpm
          perl-Authen-DecHpwd-2.007-1.fc28.src.rpm
perl-Authen-DecHpwd.x86_64: W: spelling-error %description -l en_US username -> user name, user-name, surname
perl-Authen-DecHpwd-debugsource.x86_64: W: no-documentation
perl-Authen-DecHpwd.src: W: spelling-error %description -l en_US username -> user name, user-name, surname
4 packages and 0 specfiles checked; 0 errors, 3 warnings.




Rpmlint (debuginfo)
-------------------
Checking: perl-Authen-DecHpwd-debuginfo-2.007-1.fc28.x86_64.rpm
1 packages and 0 specfiles checked; 0 errors, 0 warnings.





Rpmlint (installed packages)
----------------------------
sh: /usr/bin/python: No such file or directory
perl-Authen-DecHpwd-debugsource.x86_64: W: invalid-url URL: http://search.cpan.org/dist/Authen-DecHpwd/ <urlopen error [Errno -2] Name or service not known>
perl-Authen-DecHpwd-debugsource.x86_64: W: no-documentation
perl-Authen-DecHpwd-debuginfo.x86_64: W: invalid-url URL: http://search.cpan.org/dist/Authen-DecHpwd/ <urlopen error [Errno -2] Name or service not known>
perl-Authen-DecHpwd.x86_64: W: spelling-error %description -l en_US username -> user name, user-name, surname
perl-Authen-DecHpwd.x86_64: W: invalid-url URL: http://search.cpan.org/dist/Authen-DecHpwd/ <urlopen error [Errno -2] Name or service not known>
3 packages and 0 specfiles checked; 0 errors, 5 warnings.



Requires
--------
perl-Authen-DecHpwd-debugsource (rpmlib, GLIBC filtered):

perl-Authen-DecHpwd-debuginfo (rpmlib, GLIBC filtered):

perl-Authen-DecHpwd (rpmlib, GLIBC filtered):
    libc.so.6()(64bit)
    libperl.so.5.26()(64bit)
    perl(:MODULE_COMPAT_5.26.1)
    perl(Data::Integer)
    perl(Digest::CRC)
    perl(Exporter)
    perl(Scalar::String)
    perl(XSLoader)
    perl(constant)
    perl(parent)
    perl(strict)
    perl(warnings)
    rtld(GNU_HASH)



Provides
--------
perl-Authen-DecHpwd-debugsource:
    perl-Authen-DecHpwd-debugsource
    perl-Authen-DecHpwd-debugsource(x86-64)

perl-Authen-DecHpwd-debuginfo:
    debuginfo(build-id)
    perl-Authen-DecHpwd-debuginfo
    perl-Authen-DecHpwd-debuginfo(x86-64)

perl-Authen-DecHpwd:
    perl(Authen::DecHpwd)
    perl-Authen-DecHpwd
    perl-Authen-DecHpwd(x86-64)



Unversioned so-files
--------------------
perl-Authen-DecHpwd: /usr/lib64/perl5/vendor_perl/auto/Authen/DecHpwd/DecHpwd.so

Source checksums
----------------
https://www.cpan.org/authors/id/Z/ZE/ZEFRAM/Authen-DecHpwd-2.007.tar.gz :
  CHECKSUM(SHA256) this package     : f43a93bb02b41f7327d92f9e963b69505f67350a52e8f50796f98afc4fb3f177
  CHECKSUM(SHA256) upstream package : f43a93bb02b41f7327d92f9e963b69505f67350a52e8f50796f98afc4fb3f177


Generated by fedora-review 0.6.1 (f03e4e7) last change: 2016-05-02
Command line :/usr/bin/fedora-review -b 1520572
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api, Perl
Disabled plugins: Java, C/C++, Python, fonts, SugarActivity, Ocaml, Haskell, R, PHP
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6

Comment 7 Robert-André Mauchin 🐧 2017-12-19 23:40:03 UTC
Thanks! I'll remove perl(Exporter) before import.

Comment 8 Gwyn Ciesla 2017-12-20 12:07:35 UTC
(fedrepo-req-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/perl-Authen-DecHpwd. You may commit to the branch "f27" in about 10 minutes.

Comment 9 Fedora Update System 2017-12-20 17:09:36 UTC
perl-Authen-DecHpwd-2.007-1.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2017-947bede529

Comment 10 Fedora Update System 2017-12-20 17:20:55 UTC
perl-Authen-DecHpwd-2.007-1.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-16e649945c

Comment 11 Fedora Update System 2017-12-21 20:26:44 UTC
perl-Authen-DecHpwd-2.007-1.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-947bede529

Comment 12 Fedora Update System 2017-12-21 21:11:34 UTC
perl-Authen-DecHpwd-2.007-1.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-16e649945c

Comment 13 Fedora Update System 2018-01-02 16:25:26 UTC
perl-Authen-DecHpwd-2.007-1.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Comment 14 Fedora Update System 2018-01-02 16:52:30 UTC
perl-Authen-DecHpwd-2.007-1.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.

Comment 15 Fedora Update System 2018-02-07 22:31:44 UTC
perl-Authen-DecHpwd-2.007-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-5480df179b

Comment 16 Fedora Update System 2018-02-08 08:42:17 UTC
perl-Authen-DecHpwd-2.007-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-5480df179b

Comment 17 Fedora Update System 2018-02-27 20:39:33 UTC
perl-Authen-DecHpwd-2.007-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.